petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCGASMSetTotalSubdomains

sets the total number of subdomains to use across the communicator. Logically collective on pc

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCGASMSetTotalSubdomains(PC pc,PetscInt N)

### Input Parameters

| pc | - the preconditioner
| N | - total number of subdomains

### See Also

PCGASMSetSubdomains(), PCGASMSetOverlap()
PCGASMCreateSubdomains2D()

### Level

beginner

### Location

src/ksp/pc/impls/gasm/gasm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages